' sqlite3数据库在搜索的时候，一些特殊的字符需要进行转义
'     /   ->    //
'     '   ->    ''
'     [   ->    /[
'     ]   ->    /]
'     %   ->    /%
'     &   ->    /&
'     _   ->    /_
'     (   ->    /(
'     )   ->    /)
'2.SQL语句中表示单个字符和任意多个字符的通配符
'%
'包含零个或多个字符的任意字符串。
'WHERE title LIKE '%computer%' 将查找在书名中任意位置包含单词 "computer" 的所有书名。
'_（下划线）
'任何单个字符。
'WHERE au_fname LIKE '_ean' 将查找以 ean 结尾的所有 4 个字母的名字（Dean、Sean 等）。
'指定范围 ([a-f]) 或集合 ([abcdef]) 中的任何单个字符。
'WHERE au_lname LIKE '[C-P]arsen' 将查找以 arsen 结尾并且以介于 C 与 P 之间的任何单个字符开始的作者姓氏，例如 Carsen、Larsen、Karsen 等。
'不属于指定范围 ([a-f]) 或集合 ([abcdef]) 的任何单个字符。
'WHERE au_lname LIKE 'de[^l]%' 将查找以 de 开始并且其后的字母不为 l 的所有作者的姓氏。
Function SQLiteEscape(ByVal gTxt as String) as String  ' 转义
   Dim aa as String
   aa = FF_Replace(gTxt, "'", "''")
   aa = FF_Replace(aa, "[", "/[")
   aa = FF_Replace(aa, "]", "/]")
   aa = FF_Replace(aa, "&", "/&")
   aa = FF_Replace(aa, "(", "/(")
   aa = FF_Replace(aa, ")", "/)")
   Function = aa
End Function